Subject: Re: Scrolling problems...
From: Mike & Ben Crowl <[email-masked]>
To: Mark Carter <[email-masked]>
Cc: [email-masked]
Date: Sun, 29 Sep 1996 15:58:35 +1200 (NZST)

On Sat, 28 Sep 1996, Mark Carter wrote:

> Hi,
> 
> Does anyone know the best way to do hardware scrolling...?
> 
> Now I'll explain my situation - because I guess its pretty important!
> 
> (I'm using autoback 0 and bob update off)
> 
> I've got a lowres 640x480 screen which I scroll in a 320x190 display, 
> about 15 bobs including a ball, which the scrolling follows. All of 
> this (including scrolling) was controlled by AMal proggies.
> To begin with I was running the game at 25Hz using the following 
> method:
> 
> do
>    [program code taking between 0.5 and 1.5 vbls]
>    Synchro:wait vbl:bob update
>    rem next line makes sure that we only wait a vbl if we need to
>    If less-than-2-vbls since last last loop then wait vbl
>    rem I've tried removing the line above and it doesnt make the 
>           display any smoother
> loop
> 
> This however, is very jerky.  So I then decided to make the ball move 
> at 50Hz by taking it out of the Amal bank and putting the new Amos 
> code just BEFORE each Vbl.
> 
> This was even worse!  However, when I ran the program by freezing the 
> scrolling amal program, all was ok.  I think the problem is that 
> while EVERYTHING visible is updated in one smooth burst during the 
> Bob Update command, the scrolling is done during the Synchro command. 
> So, in effect, there are 2 changes to-the-eye every Vbl.
> 
> Please Help!
> 
My suggestion (which you probably will not like..) is to forget using 
Amal and control the balls etc. using Bob draw, bob clear etc.. this 
should make things a lot smoother..

l8r
Benj
             .   .   .  .  .   .    .    .   .    .   .   .

            .  .  .  .  .  .  .  .  .  .  .  .  .  .  .  .  .
            .  .  .  .  .  .  .  .  .  .  .  .  .  .  .  .  .
           ,:.;,,:.;,,:.;,,:.;,,:.;,,:.;,,:.;,,:.;,,:.;,,:.;,.
          <------/                                     \------>
          (<<<<<<= Ben Crowl - [email-masked] =>>>>>>)
          <------\                                     /------>
           `~'~`~'~`~'~`~'~`~'~`~'~'~`~'~`~'~`~'~`~'~`~'~`~'~`
            : ; : : : ; : ; : : : ; : : : : ; : : : ; : : ; :
           .    .  .  .  .  .  .  .  .  .  .  .  .  .  .  .  .
                .     .   .    .      .    .     .      .
             .     .     .   .   .  .    .  .  .  .  .  .  .